#include <bits/stdc++.h>
using namespace std;

int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n, q, x, y, bn;
    cin>>n;
    int a[n];
    vector<int>dp2(n, 0);
    
    vector<int> dp(n, 0);
    cin>>a[0];
    for(int i=1; i<n; i++){
        cin>>a[i];
        if(a[i]<a[i-1])dp[i]++;
        dp[i]+=dp[i-1];
        if(a[i]>=a[i-1]){dp2[i]++; dp2[i]+=dp2[i-1];}

    }
    


    

    cin>>q;
    for(int i=0; i<q; i++){
        cin>>x>>y;
        x-=1;
        y-=1;
        bn=dp[y]-dp[x];
        
        

        if(bn<=1){ 
            
            if((abs(dp2[y]- dp2[x]) < y-x) && (abs(dp2[y]-dp2[x]!=0)) ) cout<<"NE"<<endl;
            else cout<<"DA"<<endl;}
        else cout<<"NE"<<endl;
        
    }

return 0;


}